Bug 728545 - ctdbd leaks a file descriptor
Summary: ctdbd leaks a file descriptor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ctdb
Version: 6.2
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: 6.2
Assignee: Sumit Bose
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 672641
TreeView+ depends on / blocked
 
Reported: 2011-08-05 14:05 UTC by Nate Straz
Modified: 2011-12-06 12:01 UTC (History)
2 users (show)

Fixed In Version: ctdb-1.0.114.3-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 12:01:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1574 normal SHIPPED_LIVE ctdb bug fix and enhancement update 2011-12-06 00:39:03 UTC

Description Nate Straz 2011-08-05 14:05:35 UTC
While working on the ctdb selinux policy Miroslav pointed out that ctdbd leaks a file descriptor which leads to selinux AVCs.

+++ This bug was initially created as a clone of Bug #672641 +++
--- Additional comment from mgrepl@redhat.com on 2011-07-28 08:14:07 EDT ---

Also we see

#============= ifconfig_t ==============
allow ifconfig_t anon_inodefs_t:file { read write };

#============= iptables_t ==============
allow iptables_t anon_inodefs_t:file write;


which looks like ctdb is leaking an open file descriptor to anon_inodefs.

Comment 2 Nate Straz 2011-10-13 15:19:10 UTC
Verified with ctdb-1.0.114.3-3.el6.x86_64, the AVC does not show up when starting ctdb.

Comment 3 errata-xmlrpc 2011-12-06 12:01:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1574.html


Note You need to log in before you can comment on or make changes to this bug.